Subject: Business Air News Bulletin - March 7, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 08 Mar 2023 04:01:59 +0000

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Luxaviation celebrates IS-BAH and Auckland successes

Luxaviation bought the Air Center One base at Auckland International airport in January 2022, and is thrilled with how well that FBO has performed in its first year. IS-BAH achievements recognise its hard work.

BFK brings Bestfly and Krimson under one roof

Bestfly is Angola's largest business aviation services provider operating a fleet of some 30 aircraft, while Krimson provides a range of ground handling, trip support and consultancy services. The two have teamed up.

Stellar expands at Reno-Tahoe as it eyes Carson City

Stellar has been operating its facility at Reno-Tahoe International since January 2020. It intends to broaden its scope at the airport with 30,000 sq ft of hangarage, 10,000 sq ft of office space and a 5,000 sq ft terminal.

GAMA figures show favourable year for Textron and Embraer

GAMA figures show that, compared to 2021, piston deliveries increased 8.2 per cent, with 1,524 units; turboprop deliveries increased 10.4 per cent, with 582 units; and business jet deliveries increased to 712 units.

Signature network carbon neutrality is industry first

Signature set out to achieve ambitious emissions reduction targets and is the first FBO to achieve carbon neutrality across its global network, a key step towards the Paris Agreement target of limiting warming.

GJC securitisations placed on positive CreditWatch by S&P

Standard & Poor's Global Ratings have placed the notes issued in two of Global Jet Capital's asset-backed security (ABS) transactions on CreditWatch with positive implications.

To unsubscribe, please contact [email-masked].